Page MenuHomePhabricator

LoadStoreVectorizer: Check TTI for vec reg bit width
ClosedPublic

Authored by arsenm on Apr 25 2016, 3:12 PM.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 54924.Apr 25 2016, 3:12 PM
arsenm retitled this revision from to LoadStoreVectorizer: Check TTI for vec reg bit width.
arsenm updated this object.
arsenm added reviewers: escha, resistor, tstellarAMD.
arsenm added a subscriber: llvm-commits.
jlebar accepted this revision.Jun 13 2016, 2:04 PM
jlebar added a reviewer: jlebar.
jlebar added a subscriber: jlebar.
jlebar added inline comments.
lib/Transforms/Vectorize/LoadStoreVectorizer.cpp
471

Nit, since all we actually want is VecRegSize, consider making at least 'AS' a temporary:

Value *Ptr = LI->getPointerOperand();
unsigned VecRegSize = TTI.getLoadStoreVecRegBitWidth(Ptr, Ptr->getType()->getPointerAddressSpace());

This way readers have to carry one less local variable. Same elsewhere.

This revision is now accepted and ready to land.Jun 13 2016, 2:04 PM
arsenm closed this revision.Jun 30 2016, 7:15 PM

r274322